unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  dsaadapter, spDialogs, SkinData, Db, DBTables,
  SkinCtrls, cxGridLevel, cxGridCustomTableView, cxGridTableView,
  cxGridDBTableView, cxClasses, cxControls, cxGridCustomView, StdCtrls,
  cxGrid, cxGraphics, cxLookAndFeels, cxLookAndFeelPainters, cxStyles,
  cxCustomData, cxFilter, cxData, cxDataStorage, cxEdit, cxDBData,
  DynamicSkinForm, dxSkinsCore, dsaDevExSkin, dxSkinsDefaultPainters,
  dxSkinscxPCPainter;

type
  TForm1 = class(TForm)
    cxGrid1: TcxGrid;
    Label1: TLabel;
    Label2: TLabel;
    cxGrid1DBTableView1: TcxGridDBTableView;
    cxGrid1Level1: TcxGridLevel;
    spSkinButton1: TspSkinButton;
    DataSource1: TDataSource;
    Table1: TTable;
    spSkinData1: TspSkinData;
    spSelectSkinDialog1: TspSelectSkinDialog;
    dsaSkinAdapter1: TdsaSkinAdapter;
    spDynamicSkinForm1: TspDynamicSkinForm;
    spCompressedSkinList1: TspCompressedSkinList;
    Table1VENDORNO: TFloatField;
    Table1VENDORNAME: TStringField;
    Table1ADDRESS1: TStringField;
    Table1ADDRESS2: TStringField;
    Table1CITY: TStringField;
    Table1STATE: TStringField;
    Table1ZIP: TStringField;
    Table1COUNTRY: TStringField;
    Table1PHONE: TStringField;
    Table1FAX: TStringField;
    Table1PREFERRED: TBooleanField;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    cxGrid1DBTableView1VENDORNO: TcxGridDBColumn;
    cxGrid1DBTableView1VENDORNAME: TcxGridDBColumn;
    cxGrid1DBTableView1ADDRESS1: TcxGridDBColumn;
    cxGrid1DBTableView1ADDRESS2: TcxGridDBColumn;
    cxGrid1DBTableView1CITY: TcxGridDBColumn;
    cxGrid1DBTableView1STATE: TcxGridDBColumn;
    cxGrid1DBTableView1ZIP: TcxGridDBColumn;
    cxGrid1DBTableView1COUNTRY: TcxGridDBColumn;
    cxGrid1DBTableView1PHONE: TcxGridDBColumn;
    cxGrid1DBTableView1FAX: TcxGridDBColumn;
    cxGrid1DBTableView1PREFERRED: TcxGridDBColumn;
    procedure spSkinButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.spSkinButton1Click(Sender: TObject);
begin
  if spSelectSkinDialog1.Execute(spSkinData1.SkinIndex)
  then
    begin
      spSkinData1.SkinIndex := spSelectSkinDialog1.SelectedSkinIndex;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Path: String;
begin
  Path := ExtractFilePath(Application.ExeName);
  if Path[Length(Path)] <> '\' then Path := Path + '\';
  Table1.Active := False;
  Table1.TableName := Path + 'vendors.dbf';
  Table1.Active := True;
end;

end.
