unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  bsSkinData, BusinessSkinForm, bsaadapter, ExtCtrls, StdCtrls, ComCtrls,
  Buttons, Grids, ImgList, ToolWin, XPMan, Menus, bsSkinMenus, bsSkinCtrls;

type
  TForm1 = class(TForm)
    bsBusinessSkinForm1: TbsBusinessSkinForm;
    bsSkinData1: TbsSkinData;
    OptimaSkin: TbsCompressedStoredSkin;
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    TabControl1: TTabControl;
    ListBox1: TListBox;
    Edit1: TEdit;
    RadioGroup1: TRadioGroup;
    SpeedButton1: TSpeedButton;
    RadioButton2: TRadioButton;
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    Button1: TButton;
    StringGrid1: TStringGrid;
    Office2007Skin: TbsCompressedStoredSkin;
    SmartStyleSkin: TbsCompressedStoredSkin;
    ComboBox1: TComboBox;
    UpDown1: TUpDown;
    Label1: TLabel;
    ImageList1: TImageList;
    ToolBar1: TToolBar;
    ToolButton2: TToolButton;
    ToolButton1: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ImageList2: TImageList;
    ProgressBar1: TProgressBar;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    PopupMenu1: TPopupMenu;
    item11: TMenuItem;
    item21: TMenuItem;
    item31: TMenuItem;
    bsSkinPopupMenu1: TbsSkinPopupMenu;
    N11: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    Timer1: TTimer;
    TreeView1: TTreeView;
    ListView1: TListView;
    ListView2: TListView;
    bsaSkinAdapter1: TbsaSkinAdapter;
    XPManifest1: TXPManifest;
    StatusBar1: TStatusBar;
    TrackBar1: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure bsaSkinAdapter1ChangeSkinData(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  InChange: Boolean;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if bsSkinData1.CompressedStoredSkin = SmartStyleSkin
  then
    bsSkinData1.CompressedStoredSkin := OptimaSkin
  else
  if bsSkinData1.CompressedStoredSkin = OptimaSkin
  then
    bsSkinData1.CompressedStoredSkin := Office2007Skin
  else
  if bsSkinData1.CompressedStoredSkin = Office2007Skin
  then
    bsSkinData1.CompressedStoredSkin := SmartStyleSkin;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Timer1.Enabled := True;
end;

procedure TForm1.bsaSkinAdapter1ChangeSkinData(Sender: TObject);
begin
  StringGrid1.Color := bsSkinData1.SkinColors.cWindow;
  StringGrid1.Font.Color := bsSkinData1.SkinColors.cWindowText;
  StringGrid1.FixedColor := bsSkinData1.SkinColors.cBtnFace;
  //
  Memo1.Color := bsSkinData1.SkinColors.cWindow;
  Memo1.Font.Color := bsSkinData1.SkinColors.cWindowText;
  //
  TreeView1.Color := bsSkinData1.SkinColors.cWindow;
  TreeView1.Font.Color := bsSkinData1.SkinColors.cWindowText;
  //
  ListView1.Color := bsSkinData1.SkinColors.cWindow;
  ListView1.Font.Color := bsSkinData1.SkinColors.cWindowText;
  //
  ListView2.Color := bsSkinData1.SkinColors.cWindow;
  ListView2.Font.Color := bsSkinData1.SkinColors.cWindowText;
  //
  ListBox1.Font.Color := bsSkinData1.SkinColors.cWindowText;
  ListBox1.Color := bsSkinData1.SkinColors.cWindow;
  //
  TrackBar1.Width := TrackBar1.Width + 1;
  TrackBar1.Width := TrackBar1.Width - 1;
  //
  StatusBar1.BringToFront;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  ProgressBar1.Position := TrackBar1.Position;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  StatusBar1.Panels[1].Text := Edit1.Text;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if CheckBox1.Checked
  then
    begin
      bsaSkinAdapter1.ApplySkin;
      Button1.Enabled := True;
    end
  else
    begin
      bsaSkinAdapter1.ReleaseSkin;
      Button1.Enabled := False;
    end;
  Timer1.Enabled := False;  
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  StatusBar1.BringToFront;
end;

end.
